summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/ecompressdir
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/ecompressdir')
-rwxr-xr-xbin/ebuild-helpers/ecompressdir6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/ecompressdir b/bin/ebuild-helpers/ecompressdir
index f39f883f3..c77d9982a 100755
--- a/bin/ebuild-helpers/ecompressdir
+++ b/bin/ebuild-helpers/ecompressdir
@@ -164,13 +164,13 @@ for dir in "$@" ; do
: $(( ret |= $? ))
done
+ multijob_finish
+ : $(( ret |= $? ))
+
# forcibly break all hard links as some compressors whine about it
find "${dir}" -type f -links +1 -exec env file="{}" sh -c \
'cp -p "${file}" "${file}.ecompress.break" ; mv -f "${file}.ecompress.break" "${file}"' \;
- multijob_finish
- : $(( ret |= $? ))
-
# now lets do our work
if [[ -n ${suffix} ]] ; then
vecho "${0##*/}: $(ecompress --bin) /${actual_dir#${ED}}"